# ACE_Stream_Type Class Reference

Define the methods for handling the configuration of ACE_Streams. More...

`#include <Service_Types.h>`

Inheritance diagram for ACE_Stream_Type:

[legend]
Collaboration diagram for ACE_Stream_Type:

[legend]
List of all members.

## Public Member Functions

| ACE_Stream_Type (void *s, const ACE_TCHAR *identifier, u_int flags=0)
| ~ACE_Stream_Type (void)
virtual int | suspend (void) const
virtual int | resume (void) const
virtual int | init (int argc, ACE_TCHAR *argv[]) const
virtual int | fini (void) const
virtual int | info (ACE_TCHAR **str, size_t len) const
int | push (ACE_Module_Type *new_module)
| Add a new ACE_Module to the top of the ACE_Stream.
int | remove (ACE_Module_Type *module)
| Search for module and remove it from the ACE_Stream.
ACE_Module_Type * | find (const ACE_TCHAR *mod_name) const
| Locate the ACE_Module with mod_name.
void | dump (void) const
| Dump the state of an object.

## Public Attributes

| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.

## Private Attributes

ACE_Module_Type * | head_
| Pointer to the head of the ACE_Module list.

## Detailed Description

Define the methods for handling the configuration of ACE_Streams.

## Constructor & Destructor Documentation

ACE_Stream_Type::ACE_Stream_Type | ( | void * | s,
|  | const ACE_TCHAR * | identifier,
|  | u_int | flags = `0`
| ) |

ACE_Stream_Type::~ACE_Stream_Type | ( | void |  | ) |

## Member Function Documentation

void ACE_Stream_Type::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented from ACE_Service_Type_Impl.

ACE_Module_Type * ACE_Stream_Type::find | ( | const ACE_TCHAR * | mod_name | ) | const

| Locate the ACE_Module with mod_name.

int ACE_Stream_Type::fini | ( | void |  | ) | const`[virtual]`

| Reimplemented from ACE_Service_Type_Impl.

int ACE_Stream_Type::info | ( | ACE_TCHAR ** | str,
|  | size_t | len
| ) | const`[virtual]`

| Implements ACE_Service_Type_Impl.

int ACE_Stream_Type::init | ( | int | argc,
|  | ACE_TCHAR * | argv[]
| ) | const`[virtual]`

| Implements ACE_Service_Type_Impl.

int ACE_Stream_Type::push | ( | ACE_Module_Type * | new_module | ) |

| Add a new ACE_Module to the top of the ACE_Stream.

int ACE_Stream_Type::remove | ( | ACE_Module_Type * | module | ) |

| Search for module and remove it from the ACE_Stream.

int ACE_Stream_Type::resume | ( | void |  | ) | const`[virtual]`

| Implements ACE_Service_Type_Impl.

int ACE_Stream_Type::suspend | ( | void |  | ) | const`[virtual]`

| Implements ACE_Service_Type_Impl.

## Member Data Documentation

ACE_Stream_Type::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_Service_Type_Impl.

ACE_Module_Type* ACE_Stream_Type::head_`[private]`

| Pointer to the head of the ACE_Module list.

The documentation for this class was generated from the following files:

- Service_Types.h
- Service_Types.cpp